Skip to content

The API accepts URL params and JSON-formatted requests, and returns JSON-formatted responses.


Authentication​

Authenticate with the ezyVet API


Fetch a JWT bearer token​

POST
/v1/oauth/access_token

Generates a valid access token, given client credentials. Access tokens have an 12-hour TTL.

Request Body​

application/json
JSON
{
  
"partner_id": "string",
  
"client_id": "string",
  
"client_secret": "string",
  
"grant_type": "client_credentials",
  
"scope": "string",
  
"site_uid": "string"
}

Responses​

A JSON object containing the access token details.

application/json
JSON
{
  
"access_token": "string",
  
"token_type": "string",
  
"expires_in": 0
}

Samples​


Powered by VitePress OpenAPI